Subject: Re: [PATCH 1/3] powerpc: Optimise 64bit csum_partial

From: Anton Blanchard <[email-masked]>
Date: Wed, 4 Aug 2010 09:11:14 +1000

Hi Segher,

> Not really.  Do you know how many 16/32-bit words you can add before a
> 64-bit register can overflow? :-)

Thats a very good point. I thought about using 32bit adds when writing
the copy and checksum routine, but came to the conclusion that it wouldn't go
any faster than one using addes. The checksum only routine was the same loop
without the stores.

We rarely use csum_partial now we have copy and checksum to and from user
now, but I'll take a look at speeding it up in a follow on patch. Thanks!

Anton